# $Revision: 1.19 $, $Date: 2004/04/12 13:13:22 $
Summary:	TCL/TK graphical frontend to monitor and manage a PVM cluster
Summary(pl):	Graficzny frontend TCL/TK do monitorowania i zarzdzania klastrem PVM
Name:		xpvm
Version:	1.2.5
Release:	7
License:	Free
Group:		X11/Development/Tools
Source0:	http://www.netlib.org/pvm3/xpvm/XPVM.src.%{version}.tgz
# Source0-md5:	7b20143cb2ff61e3cb28baf8f9cb2770
Patch0:		%{name}.patch
Patch1:		%{name}-help-path.patch
Patch2:		%{name}-noenv.patch
URL:		http://www.netlib.org/pvm3/xpvm/
BuildRequires:	XFree86-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pvm-devel
BuildRequires:	readline-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
Requires:	pvm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	pvm-gui

%define 	_xpvm_root	%{_datadir}/xpvm

%description
Xpvm is a TCL/TK based tool that allows full manageability of the PVM
cluster as well as the ability to monitor cluster performance.

%description -l pl
Xpvm to bazujce na TCL/TK narzdzie pozwalajce zarzdza klastrem
PVM, a take monitorowa jego wydajno.

%prep
%setup -q -n xpvm
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
XPCFLOPTS="%{rpmcflags} -DXPVMROOT=\\\"%{_xpvm_root}\\\""

XPVM_ROOT=`pwd` \
%{__make} \
	CFLOPTS="$XPCFLOPTS" \
	XLIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_xpvm_root},%{_bindir}}

%ifarch alpha
install src/LINUXALPHA/xpvm $RPM_BUILD_ROOT%{_bindir}
%endif
%ifarch amd64
install src/LINUX64/xpvm $RPM_BUILD_ROOT%{_bindir}
%endif
%ifarch ppc
install src/LINUXPPC/xpvm $RPM_BUILD_ROOT%{_bindir}
%endif
%ifarch sparc sparc64 sparcv9
install src/LINUXSPARC/xpvm $RPM_BUILD_ROOT%{_bindir}
%endif
%ifnarch alpha amd64 ppc sparc sparc64 sparcv9
install src/LINUX/xpvm $RPM_BUILD_ROOT%{_bindir}
%endif
install *.tcl $RPM_BUILD_ROOT%{_xpvm_root}
sed -e "s!@XPVMROOT@!%{_xpvm_root}!" xpvm.tcl >$RPM_BUILD_ROOT%{_xpvm_root}/xpvm.tcl
cp -rf src/xbm $RPM_BUILD_ROOT%{_xpvm_root}
cp -rf src/help $RPM_BUILD_ROOT%{_xpvm_root}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xpvm
%{_xpvm_root}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpvm.spec,v $
Revision 1.19  2004/04/12 13:13:22  qboosh
- fixed build on amd64, release 7

Revision 1.18  2004/04/11 22:20:09  qboosh
- added URL

Revision 1.17  2003/11/27 17:22:21  qboosh
- killed redundant _xbindir macro

Revision 1.16  2003/11/27 14:27:07  ankry
- build fix for sparc

Revision 1.15  2003/11/27 10:16:24  ankry
- fixed build on alpha

Revision 1.14  2003/11/27 09:32:44  ankry
rel.6

Revision 1.13  2003/05/28 13:03:13  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:28:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/18 22:58:57  juandon
- removed two lines with define

Revision 1.10  2002/06/11 19:39:26  kloczek
- release 4.

Revision 1.9  2002/06/09 10:19:14  mmazur
- fixed building on ppc

Revision 1.8  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:15:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/21 15:18:07  qboosh
- pl translation, better Group; release 3

Revision 1.4  2001/07/15 10:01:57  kloczek
- cosmetics.

Revision 1.3  2001/04/14 22:44:09  qboosh
- spec adapterized, use %%rpmcflags
- release 2

Revision 1.2  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.1  2000/12/26 21:05:41  qboosh
- separated from pvm package
- setting PVM_ROOT and XPVM_ROOT no longer needed
